Index: tests/regression/Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at
===================================================================
--- tests/regression/Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at	(revision e4157b9b9699796a9b05157d81e33042b7670e3b)
+++ tests/regression/Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at	(revision 16c7dd3fc6c66022b4b13c912de169a1f812196c)
@@ -22,5 +22,5 @@
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleCorrelation-DiscreteAngles/pre/water.xyz .], 0)
-AT_CHECK([../../molecuilder -i waterbox.xyz -o xyz --change-box "10,0,10,0,0,10" --fill-void water.xyz --distances "3.1,3.1,3.1" --distance-to-boundary "1." --DoRotate 0], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i waterbox.xyz -o xyz -B "10, 0., 10, 0, 0, 10" -l water.xyz --select-molecule-by-order -1 --fill-regular-grid --mesh-size 3 3 3 --mesh-offset "0.,0.,0." --min-distance "1." --DoRotate 0], 0, [stdout], [stderr])
 AT_CHECK([../../molecuilder -i waterbox.xyz -o xyz -I --select-all-molecules --dipole-correlation --bin-start -0.5 --bin-width 1. --bin-end 359.5 --output-file waterbox_values.dat --bin-output-file waterbox_histogram.dat], 0, [stdout], [stderr])
 AT_CHECK([file=waterbox_histogram.dat; diff $file ${abs_top_srcdir}/tests/regression/Analysis/DipoleCorrelation-DiscreteAngles/post/waterbox_histogram.dat], 0, [ignore], [ignore])
@@ -33,6 +33,6 @@
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleCorrelation-DiscreteAngles/pre/water.xyz .], 0)
-AT_CHECK([../../molecuilder -i waterbox-mirrored.xyz -o xyz --change-box "10,0,10,0,0,10" --fill-void water.xyz --distances "3.1,3.1,3.1" --distance-to-boundary "1." --DoRotate 0], 0, [stdout], [stderr])
-AT_CHECK([../../molecuilder -i waterbox-mirrored.xyz -I -v 3  --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "5.,5.,5." --stretch "0.2,0.2,0.2" --select-shape-by-name "sphere1" --select-atoms-inside-volume --select-atoms-molecules --rotate-around-self 180 --axis "0,1,0"], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i waterbox-mirrored.xyz -o xyz -B "10, 0., 10, 0, 0, 10" -l water.xyz --select-molecule-by-order -1 --fill-regular-grid --mesh-size 3 3 3 --mesh-offset "0.5,0.5,0.5" --min-distance "1." --DoRotate 0], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i waterbox-mirrored.xyz -I -v 3  --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "5.,5.,5.5" --stretch "0.2,0.2,0.2" --select-shape-by-name "sphere1" --select-atoms-inside-volume --select-atoms-molecules --rotate-around-self 180 --axis "0,1,0"], 0, [stdout], [stderr])
 AT_CHECK([../../molecuilder -i waterbox-mirrored.xyz -o xyz -I --select-all-molecules --dipole-correlation --bin-start -0.5 --bin-width 1. --bin-end 359.5 --output-file waterbox-mirrored_values.dat --bin-output-file waterbox-mirrored_histogram.dat], 0, [stdout], [stderr])
 AT_CHECK([file=waterbox-mirrored_histogram.dat; diff $file ${abs_top_srcdir}/tests/regression/Analysis/DipoleCorrelation-DiscreteAngles/post/waterbox-mirrored_histogram.dat], 0, [ignore], [ignore])
Index: tests/regression/Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at
===================================================================
--- tests/regression/Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at	(revision e4157b9b9699796a9b05157d81e33042b7670e3b)
+++ tests/regression/Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at	(revision 16c7dd3fc6c66022b4b13c912de169a1f812196c)
@@ -27,5 +27,5 @@
 AT_KEYWORDS([analysis correlation dipole-correlation])
 AT_CHECK([../../molecuilder -i hydrogen.xyz -o xyz --add-atom 1 --domain-position "0,0,0"], 0, [stdout], [stderr])
-AT_CHECK([../../molecuilder -i hydrogenbox.xyz -o xyz --fill-void hydrogen.xyz --distances "3.1,3.1,3.1" --DoRotate 0], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i hydrogenbox.xyz -B "18.6, 0., 18.6, 0, 0, 18.6" -o xyz -l hydrogen.xyz --select-molecule-by-order -1 --fill-regular-grid --mesh-size 6 6 6 --mesh-offset "0.,0.,0." --DoRotate 0], 0, [stdout], [stderr])
 AT_CHECK([../../molecuilder -i hydrogenbox.xyz -o xyz --select-molecules-by-formula H2O --dipole-correlation --bin-start 0 --bin-width 1. --bin-end 359 --output-file hydrogenbox_values.dat --bin-output-file hydrogenbox_histogram.dat], 0, [stdout], [stderr])
 AT_CHECK([file=hydrogenbox_histogram.dat; diff $file ${abs_top_srcdir}/tests/regression/Analysis/DipoleCorrelation-Empty/post/hydrogenbox_histogram.dat], 0, [ignore], [ignore])
